Name:          dnf-plugins-core
Version:       4.4.0
Release:       1mamba
Summary:       Core DNF Plugins
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rpm-software-management/dnf-plugins-core
Source:        https://github.com/rpm-software-management/dnf-plugins-core.git/%{version}/dnf-plugins-core-%{version}.tar.bz2
Patch0:        dnf-plugins-core-4.0.10-conf-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython310-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: python-Sphinx
Requires:      dnf
Requires:      python-dateutil-py3
Requires:      python-six-py3
Requires:      python-dbus-py3
Provides:      yum-utils
Obsoletes:     yum-utils < 4.4.0
Provides:      dnf-command(config-manager)

%description
Core DNF Plugins.

%prep
%setup -q
%patch 0 -p1

%build
%cmake -d build \
   -DPYTHON_DESIRED=%{__python310}
   
%make
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

install -d -m0755 %{buildroot}/var/lib/dnf/plugins/local

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/dnf/protected.d
%dir %{_sysconfdir}/dnf/plugins
%dir %{_sysconfdir}/dnf/plugins/copr.d
%config %{_sysconfdir}/dnf/plugins/copr.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/debuginfo-install.conf
%config %{_sysconfdir}/dnf/plugins/local.conf
%config %{_sysconfdir}/dnf/plugins/post-transaction-actions.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/versionlock.conf
%config(noreplace) %{_sysconfdir}/dnf/plugins/versionlock.list
%{_unitdir}/dnf-system-upgrade-cleanup.service
%{_unitdir}/dnf-system-upgrade.service
%dir %{python310_sitelib}/dnf-plugins
%{python310_sitelib}/dnf-plugins/*
%dir %{python310_sitelib}/dnfpluginscore
%{python310_sitelib}/dnfpluginscore/*
%{_prefix}/libexec/dnf-utils-3
%{_mandir}/man1/debuginfo-install.1*
%{_mandir}/man1/dnf-utils.1*
%{_mandir}/man1/needs-restarting.1*
%{_mandir}/man1/package-cleanup.1*
%{_mandir}/man1/repo-graph.1*
%{_mandir}/man1/repoclosure.1*
%{_mandir}/man1/repodiff.1*
%{_mandir}/man1/repomanage.1*
%{_mandir}/man1/reposync.1*
%{_mandir}/man1/yum-*.1*
%{_mandir}/man1/yumdownloader.1*
%{_mandir}/man5/yum-versionlock.conf.5*
%{_mandir}/man8/dnf-*.8*
%{_mandir}/man8/yum-copr.8*
%{_mandir}/man8/yum-versionlock.8*
%dir /var/lib/dnf/plugins/local
%doc AUTHORS COPYING

%changelog
* Mon Apr 10 2023 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sat Sep 24 2022 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sat May 28 2022 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sat Oct 23 2021 Automatic Build System <autodist@mambasoft.it> 4.0.24-1mamba
- automatic version update by autodist

* Sat Sep 25 2021 Automatic Build System <autodist@mambasoft.it> 4.0.23-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 4.0.22-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 4.0.21-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.19-2mamba
- require python-dbus-py3

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 4.0.19-1mamba
- automatic version update by autodist

* Wed Sep 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.17-1mamba
- update to 4.0.17

* Thu Dec 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-3mamba
- require python-dateutil and python-six

* Sun Nov 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-2mamba
- update configuration patch to cmpletely disable local repository and copr by default

* Fri Oct 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-1mamba
- update to 4.0.10

* Thu Oct 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2.1-1mamba
- package created using the webbuild interface
